/v1/workspaces/{workspace_id}/projects/{project_id}/segmentsAuthList segments
The project's segments, oldest first, with `usage_count`.
Path parameters
project_id*string · uuidId of the project.
workspace_id*string · uuidId of the workspace.
Query parameters
cursorstringOpaque cursor for pagination: the `next_cursor` of the previous page.
limitintegerPage size.
Response · 200 A page of segments.
data*arraySegments, oldest first.
pagination*objectThe cursor for the next page.
Example
Request
GET https://api.flags.productcraft.co/v1/workspaces/{workspace_id}/projects/{project_id}/segments
Authorization: Bearer YOUR_TOKENResponse
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"project_id": "00000000-0000-0000-0000-000000000000",
"key": "qa_staff",
"name": "QA staff",
"description": "",
"seed": "qa_staff",
"conditions": [
{
"user": {}
}
],
"version": 1,
"usage_count": 2,
"created_by": "string",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"pagination": {}
}